%% Parameters
V_hex = 500;            %Heat exchanger volume (shell or tube side) [l]
U_hex = 0.50; %0.32     %Overall heat transfer coefficient [kW/m^2K]
A_hex = 300; %200       %Heat transfer area [m^2]
rho = 1;                 %Density [kg/l]
cp = 4.186;             %specific heat capacity of fluid [kJ/kgK]
n = 1/3; %1/3;          %approximation index
Pm =1000e-6;
Pt =5e-6;
Pu = 50e-6;
Px = 5e-6;
Pd = 100e-6;
Q_demand_0 = 5000;
tol = 1e-6;
maxiter=2e4;
std = 2.31;             %noise standard deviation
Ve = V_hex/100;


%% Disturbances (Boundary conditions)
% T1 = 95;                %Plant 1 temperature (source)[degC]
T2 = 20;                %Plant 2 temperature (sink)[degC]
T_s = 15;               %Ambient temperature [degC]

q_L1 = 50;

%% Bounds
T_L1ub = 200;
T_R1ub = 200;
Trub = 90;
T1ub = 96;
q_R1ub = 50;
Qmub = Inf;
Qdub = Inf;

T_L1lb = 0;
T_R1lb = 0;
Trlb = 0;
T1lb = 94;
q_R1lb = 0;
Qmlb = 0;
Qdlb = 0;

xub = [T_L1ub; T_R1ub; Trub; T1ub];
xlb = [T_L1lb; T_R1lb; Trlb; T1lb];
uub = vertcat(q_R1ub, Qdub, Qmub);
ulb = vertcat(q_R1lb, Qdlb, Qmlb);
zub = [Inf; Inf];
zlb = [-Inf; -Inf];

%% Initial values
x_init = [80; 30; 75; 95];
z_init = [3; 3];
x_0 = x_init;
u_init = [25;0;0];
u_n1 = u_init;

h_dot = (U_hex*A_hex)/(rho*cp);



