clc;
clear;
close all;

values = [0.05, 0.1, 0.25, 0.5, 0.6, 0.8, 1, 1.2, 1.5, 2, 3]*1e6;

T_tn = zeros(size(values,2), 25);

for idx = 1:size(values,2)
    run Parameters_TES.m
    V_tank = values(idx);
    run MPC_TES.m
    T_tn(idx,:) = x_opt(5,:);
end
 
% Plot
set(0,'DefaultTextFontName','Times',...
'DefaultTextFontSize',22,...
'DefaultAxesFontName','Times',...
'DefaultAxesFontSize',20,...
'DefaultLineLineWidth',1.5,...
'DefaultLineMarkerSize',7.75,...
'DefaultStairLineWidth',1.5);
set(findall(gcf,'Type','text'),'FontSize',18,'Interpreter','latex');
set(gcf,'color','white');

figure(1)
for index=1:size(values,2)
    plot(tgrid, T_tn(index,:))
    hold on
end
hold off
legend('50 $m^3$','100 $m^3$','250 $m^3$', '500 $m^3$','600 $m^3$','800 $m^3$' ,'1000 $m^3$', '1200 $m^3$', '1500 $m^3$', '2000 $m^3$', '3000 $m^3$','Interpreter','latex')
xlabel('time [hr]','Interpreter','latex')
ylabel('$T_{tank}$ [$^{\circ}$C]','Interpreter','latex')
grid on
