%% Parameters
V_hex = 500;            %Heat exchanger volume (shell or tube side) [l]
V_tank = 100e3;         %Storage tank volume [l]
U_hex = 0.50; %0.32     %Overall heat transfer coefficient [kW/m^2K]
A_hex = 300; %200       %Heat transfer area [m^2]
rho = 1;                 %Density [kg/l]
cp = 4.186;             %specific heat capacity of fluid [kJ/kgK]
h_s = 2*0.050e-2;         %heat loss coefficient [kW/m^2K]
n = 1/3; %1/3;          %approximation index
A_tank =100;           %Tank heat loss area [m^2]
Pm =1000;
Pt =5;
Pu = 0;%5e-6;
Q_demand_0 = 5000;
tol = 1e-6;
maxiter=2e4;
std = 2.31;             %noise standard deviation

%% Disturbances (Boundary conditions)
T1 = 95;                %Plant 1 temperature (source)[degC]
T2 = 20;                %Plant 2 temperature (sink)[degC]
T_s = 15;               %Ambient temperature [degC]
T_L1 = 85;

q_L1 = 5;
q_R2 = 15;

%% Bounds
T_L2ub = 100;
T_R2ub = 100;
T_tankub = 100;
q_L2ub = 50;
Q_tankub = 5000;
Qmub = Inf;

T_L2lb = 0;
T_R2lb = 0;
T_tanklb = 30;
q_L2lb = 0;
Q_tanklb = 0;
Qmlb = 0;

xub = T_tankub;
xlb = T_tanklb;
uub = vertcat(q_L2ub, Q_tankub, Qmub);
ulb = vertcat(q_L2lb, Q_tanklb, Qmlb);
zub = [T_L2ub; T_R2ub; Inf; Inf];
zlb = [T_L2lb; T_R2lb; -Inf; -Inf];

%% Initial values
x_init = 30;
z_init = [20; 10; 1; 1];
x_0 = x_init;
u_init = [0;0;0];
u_n1 = u_init;

h_dot = (U_hex*A_hex)/(rho*cp);
h_t_dot = (h_s*A_tank)/(rho*cp);


