%% Parameters
V_hex = 500;            %Heat exchanger volume (shell or tube side) [l]
V_tank = 100e3;         %Storage tank volume [l]
U_hex = 0.50; %0.32     %Overall heat transfer coefficient [kW/m^2K]
A_hex = 300; %200       %Heat transfer area [m^2]
rho= 1;                 %Density [kg/l]
cp = 4.186;             %specific heat capacity of fluid [kJ/kgK]
h_s = 0.050e-3;            %heat loss coefficient [kW/m^2K]
n = 1/3; %1/3;          %approximation index
A_tank =1000;           %Tank heat loss area [m^2]
Pm =1000e-6;
Pt =5e-6;
Q_demand_0 = 5000;
tol = 1e-6;
maxiter=2e4;
std = 2.31;             %noise standard deviation

%% Disturbances (Boundary conditions)
T1 = 95;                %Plant 1 temperature (source)[degC]
T2 = 20;                %Plant 2 temperature (sink)[degC]
T_s = 15;               %Ambient temperature [degC]

%% Bounds
T_L1ub = 100; 
T_R1ub = 100;
q_L1ub = 0.05;
q_R1ub = 0.05;
Qmub = Inf;

T_L1lb = 0; 
T_R1lb = 0;
q_L1lb = 0;
q_R1lb = 0;
Qmlb = 0;

xub = vertcat(T_L1ub, T_R1ub);
xlb = vertcat(T_L1lb, T_R1lb);
uub = vertcat(q_L1ub, q_R1ub, Qmub);
ulb = vertcat(q_L1lb, q_R1lb, Qmlb);

%% Initial values
x_init = [89; 25]; %[85; 75; 55;45; 65];%[50; 40; 20; 10; 30];
x_0 = x_init;
u_init = [0.5;0.5;5000];
u_n1 = u_init;
z_init = 4*ones(2,1);
h_dot = (U_hex*A_hex)/(rho*cp);
h_t_dot = (h_s*A_tank)/(rho*cp);


